USB device resets since kernel version 3.13.0-73-generic #116-Ubuntu

Bug #1529077 reported by Markus Heinz on 2015-12-24
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned
linux-lts-utopic (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

I am using Ubuntu 14.04 with Gnome desktop.

When running "goobox" (a cd-player application) the application hangs for about 30 seconds before being initialized. During this one core of the cpu is running at 100% utilization. The following lines appear then in the syslog:

Dec 24 13:14:27 computer4 kernel: [ 1386.238349] usb 3-1: reset high-speed USB device number 2 using xhci_hcd
Dec 24 13:14:27 computer4 kernel: [ 1386.293951] xhci_hcd 0000:03:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff880036272600
Dec 24 13:14:27 computer4 kernel: [ 1386.293955] xhci_hcd 0000:03:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff880036272640

The CD drive is a external USB one connected to a USB 3.0 port:

Bus 003 Device 002: ID 0e8d:1806 MediaTek Inc. Samsung SE-208AB Slim Portable DVD Writer

This behaviour appeared with the kernel version 3.13.0-73-generic #116-Ubuntu. Running "goobox" on the same system with kernel 3.13.0-71 does not exhibit this behaviour. Using the newest available kernel 3.13.0-74 the problem persists.

Kernel, goobox and the other software are installed from official Ubuntu packages.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-73-generic 3.13.0-73.116
ProcVersionSignature: Ubuntu 3.13.0-73.116-generic 3.13.11-ckt30
Uname: Linux 3.13.0-73-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: markus 2224 F.... pulseaudio
CurrentDesktop: GNOME
Date: Thu Dec 24 13:08:36 2015
HibernationDevice: RESUME=UUID=e711920c-5aab-410e-b993-bb341ddfa987
InstallationDate: Installed on 2014-12-13 (376 days ago)
InstallationMedia: Ubuntu-GNOME 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: MICRO-STAR INTERNATIONAL CO., LTD MS-B06211
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-73-generic root=UUID=a501b8b5-7f50-4131-ad2e-cc401009acbf ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-73-generic N/A
 linux-backports-modules-3.13.0-73-generic N/A
 linux-firmware 1.127.19
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: yes
  Hard blocked: no
SourcePackage: linux
StagingDrivers: rts5139
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/25/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: EB062IMS V1.4
dmi.board.name: MS-B0621
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: 100
dmi.chassis.type: 13
dmi.chassis.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrEB062IMSV1.4:bd08/25/2014:svnMICRO-STARINTERNATIONALCO.,LTD:pnMS-B06211:pvr:rvnMICRO-STARINTERNATIONALCO.,LTD:rnMS-B0621:rvr100:cvnMICRO-STARINTERNATIONALCO.,LTD:ct13:cvr:
dmi.product.name: MS-B06211
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO., LTD

CVE References

Markus Heinz (markus-heinz) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Markus Heinz (markus-heinz) wrote :

The computer model is a MSI Windbox DC111-W10374G50XX. If you need more information or want me to test something let me know.

Markus Heinz, at your earliest convenience, could you please test the latest upstream kernel available from the very top line at the top of the page from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D (the release names are irrelevant for testing, and please do not test the daily folder)? Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds . This will allow additional upstream developers to examine the issue.

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-1.4
removed: goobox kernel
Changed in linux (Ubuntu):
importance: Low → Medium
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.4-rc7
Markus Heinz (markus-heinz) wrote :

I have tested with the following kernel:

Linux computer4 4.4.0-040400rc7-generic #201512272230 SMP Mon Dec 28 03:32:16 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

The behaviour is the same as with Linux computer4 3.13.0-74-generic #118-Ubuntu SMP Thu Dec 17 22:52:10 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

This means the problem persists.

Relevant lines from the syslog with the rc kernel:

Jan 4 19:14:57 computer4 kernel: [ 219.001128] usb 3-1: reset high-speed USB device number 2 using xhci_hcd
Jan 4 19:17:01 computer4 CRON[2640]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jan 4 19:27:38 computer4 dbus[868]: [system] Activating service name='org.freedesktop.hostname1' (using servicehelper)
Jan 4 19:27:38 computer4 dbus[868]: [system] Successfully activated service 'org.freedesktop.hostname1'
Jan 4 19:29:10 computer4 kernel: [ 1071.599601] usb 3-1: reset high-speed USB device number 2 using xhci_hcd

More precise description of the problem (for both the distribution kernel and 4.4.0-rc7):

If I start the CD player application with no disc inserted, it does not hang. But when I then insert a disc, it hangs for approximately 30 seconds and the disc is not detected at all.

If I start the CD player application with the same disc inserted, it hangs for approximately 30 seconds and then the disc is detected.

Once the disc has been detected it can be played normally by the CD player application.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Markus Heinz, to clarify, did this start to happen recently, or has it always happened with this device?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Markus Heinz (markus-heinz) wrote :

As I wrote in the bug description with the distribution kernel "Linux computer4 3.13.0-71-generic #114-Ubuntu SMP Tue Dec 1 02:34:22 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux" everything is fine.

I have just checked it again: When I boot with the above kernel version, the CD player application detects the disc independent of it being inserted before the application is started or thereafter. And no USB device reset is show in the syslog in both cases.

This is in contrast to the behaviour I have described with the newer kernel versions.

Kernel version 3.13.0-72 had not been delivered to my installation. With 3.13.0-73 and the following ones the problem is present.

For 3.13.0-72 there is besides other entries the following in the changelog:

[ Upstream Kernel Changes ]

  * usb: make xhci platform driver use 64 bit or 32 bit DMA
    - LP: #1514971
  * usb: Add support for ACPI identification to xhci-platform
    - LP: #1514971
  * xhci: Workaround to get Intel xHCI reset working more reliably

Perhaps it has something to do with one of these changes.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Markus Heinz, the next step is to fully commit bisect from kernel 3.13.0-71 to 3.13.0-73 in order to identify the last good kernel commit, followed immediately by the first bad one. This will allow for a more expedited analysis of the root cause of your issue. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Please note, finding adjacent kernel versions is not fully commit bisecting.

After the offending commit (not kernel version) has been identified, then please mark this report Status Confirmed.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: needs-bisect regression-update
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Luis Henriques (henrix) wrote :

Before starting the bisect, I would like to propose to test kernel I've uploaded here:

http://people.canonical.com/~henrix/lp1528140/v1/

It is simply kernel 3.13.0-74.118 with upstream commit e210c422b6fd ("xhci: don't finish a TD if we get a short transfer event mid TD") reverted. This commit is known to have caused regressions and could be the issue here. Could you please see if it solves this bug and report back?

Markus Heinz (markus-heinz) wrote :

I have tested the kernel from http://people.canonical.com/~henrix/lp1528140/v1/ and the problem with the USB device resets has disappeared. The CD player application detects the disc with no problems and plays it as expected. Thank you.

Markus Heinz, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate mailing list (TO Mathias Nyman CC linux-usb)?

Please provide a direct URL to your post to the mailing list when it becomes available so that it may be tracked.

Thank you for your understanding.

tags: added: bisect-done
removed: needs-bisect
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Luis Henriques (henrix) on 2016-01-08
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Luis Henriques (henrix) on 2016-01-11
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Luis Henriques (henrix) on 2016-01-11
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise verification-needed-trusty verification-needed-vivid
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-utopic
Markus Heinz (markus-heinz) wrote :

I have tested the kernel "Linux computer4 3.13.0-75-generic #119-Ubuntu SMP Mon Jan 11 13:49:34 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux" from the trusty-proposed repository. It resolves the described issue successfully.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Markus Heinz (markus-heinz) wrote :

I have reported this issue upstream:

http://article.gmane.org/gmane.linux.usb.general/136182

Markus Heinz (markus-heinz) wrote :

Mathias Nyman wrote me:

"I'll revert the patch e210c422b6fdd2dc123bedc588f399aefd8bf9de "xhci: don't finish a TD if we get a short transfer event mid TD" after 4.5 rc1 is out, and send the revert to stable kernels."

Launchpad Janitor (janitor) wrote :
Download full text (10.4 KiB)

This bug was fixed in the package linux - 3.2.0-98.138

---------------
linux (3.2.0-98.138) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1532774

  [ Upstream Kernel Changes ]

  * Revert "xhci: don't finish a TD if we get a short transfer event mid
    TD"
    - LP: #1529077
  * PCI: Fix devfn for VPD access through function 0
    - LP: #1524292
  * PCI: Use function 0 VPD for identical functions, regular VPD for others
    - LP: #1524292
  * mac80211: fix driver RSSI event calculations
    - LP: #1524292
  * HID: core: Avoid uninitialized buffer access
    - LP: #1524292
  * wm831x_power: Use IRQF_ONESHOT to request threaded IRQs
    - LP: #1524292
  * mwifiex: fix mwifiex_rdeeprom_read()
    - LP: #1524292
  * mtd: mtdpart: fix add_mtd_partitions error path
    - LP: #1524292
  * devres: fix a for loop bounds check
    - LP: #1524292
  * packet: fix match_fanout_group()
    - LP: #1524292
  * Btrfs: added helper btrfs_next_item()
    - LP: #1524292
  * Btrfs: fix file corruption and data loss after cloning inline extents
    - LP: #1524292
  * iommu/vt-d: Fix ATSR handling for Root-Complex integrated endpoints
    - LP: #1524292
  * ARM: pxa: remove incorrect __init annotation on pxa27x_set_pwrmode
    - LP: #1524292
  * Btrfs: don't use ram_bytes for uncompressed inline items
    - LP: #1524292
  * Btrfs: fix truncation of compressed and inlined extents
    - LP: #1524292
  * ext4, jbd2: ensure entering into panic after recording an error in
    superblock
    - LP: #1524292
  * Bluetooth: ath3k: Add new AR3012 0930:021c id
    - LP: #1502781, #1524292
  * Bluetooth: ath3k: Add support of AR3012 0cf3:817b device
    - LP: #1506615, #1524292
  * staging: rtl8712: Add device ID for Sitecom WLA2100
    - LP: #1524292
  * ACPI: Use correct IRQ when uninstalling ACPI interrupt handler
    - LP: #1524292
  * MIPS: atomic: Fix comment describing atomic64_add_unless's return
    value.
    - LP: #1524292
  * ALSA: hda - Disable 64bit address for Creative HDA controllers
    - LP: #1524292
  * megaraid_sas: Do not use PAGE_SIZE for max_sectors
    - LP: #1524292
  * can: Use correct type in sizeof() in nla_put()
    - LP: #1524292
  * mtd: blkdevs: fix potential deadlock + lockdep warnings
    - LP: #1524292
  * crypto: algif_hash - Only export and import on sockets with data
    - LP: #1524292
  * megaraid_sas : SMAP restriction--do not access user memory from IOCTL
    code
    - LP: #1524292
  * recordmcount: Fix endianness handling bug for nop_mcount
    - LP: #1524292
  * ipv6: fix tunnel error handling
    - LP: #1524292
  * ALSA: hda - Apply pin fixup for HP ProBook 6550b
    - LP: #1524292
  * firewire: ohci: fix JMicron JMB38x IT context discovery
    - LP: #1524292
  * scsi: restart list search after unlock in scsi_remove_target
    - LP: #1524292
  * x86/cpu: Call verify_cpu() after having entered long mode too
    - LP: #1524292
  * Btrfs: fix race leading to incorrect item deletion when dropping
    extents
    - LP: #1524292
  * Btrfs: fix race leading to BUG_ON when running delalloc for nodatacow
    - LP: #1524292
  * perf: Fix inherited events vs. tracepoint filters
    - LP: #1524292
  * scsi_s...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Fix released in 3.19.0-47.53

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Andy Whitcroft (apw) wrote :

Fix released in 3.13.0-77.121

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Markus Heinz (markus-heinz) wrote :

The 14.04 Ubuntu kernel "Linux computer4 3.13.0-77-generic #121-Ubuntu SMP Wed Jan 20 10:50:42 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux" successfully resolves the described issue.

Thank you very much.

tags: added: verification-done-precise
removed: verification-needed-precise verification-needed-utopic
Changed in linux-lts-utopic (Ubuntu Trusty):
status: Fix Committed → Fix Released
tags: added: verification-done-vivid
removed: verification-needed-vivid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers